#pragma once

#include <saas/library/daemon_base/module/module.h>
#include <saas/rtyserver/config/config.h>

class TRTYIndexComponentConfig: public TPluginConfig<TRTYServerConfig::IComponentConfig> {
public:
    bool GetWriteSentLens() const {
        return WriteSentLens;
    }

    bool GetExcludeProperties() const {
        return ExcludeProperties;
    }

protected:
    virtual bool DoCheck() const;
    virtual void DoInit(const TYandexConfig::Section& componentSection);
    virtual void DoToString(IOutputStream& so) const;

private:
    bool WriteSentLens = true;
    bool ExcludeProperties = false;
};
